// $ANTLR 3.4 C:\\Users\\Woody\\Documents\\antlr\\SGF.g 2012-09-22 17:28:19
package net.woodyfolsom.msproj.sgf;

import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings({"all", "warnings", "unchecked"})
public class SGFLexer extends Lexer {
    public static final int EOF=-1;
    public static final int T__19=19;
    public static final int T__20=20;
    public static final int T__21=21;
    public static final int T__22=22;
    public static final int T__23=23;
    public static final int T__24=24;
    public static final int T__25=25;
    public static final int T__26=26;
    public static final int T__27=27;
    public static final int T__28=28;
    public static final int T__29=29;
    public static final int T__30=30;
    public static final int T__31=31;
    public static final int T__32=32;
    public static final int T__33=33;
    public static final int T__34=34;
    public static final int T__35=35;
    public static final int T__36=36;
    public static final int T__37=37;
    public static final int T__38=38;
    public static final int T__39=39;
    public static final int COLON=4;
    public static final int COMMA=5;
    public static final int DIGIT=6;
    public static final int LBRACKET=7;
    public static final int LCLETTER=8;
    public static final int LPAREN=9;
    public static final int MINUS=10;
    public static final int PERIOD=11;
    public static final int PLUS=12;
    public static final int RBRACKET=13;
    public static final int RPAREN=14;
    public static final int SEMICOLON=15;
    public static final int SLASH=16;
    public static final int SPACE=17;
    public static final int UCLETTER=18;

    // delegates
    // delegators
    public Lexer[] getDelegates() {
        return new Lexer[] {};
    }

    public SGFLexer() {} 
    public SGFLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public SGFLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);
    }
    public String getGrammarFileName() { return "C:\\Users\\Woody\\Documents\\antlr\\SGF.g"; }

    // $ANTLR start "T__19"
    public final void mT__19() throws RecognitionException {
        try {
            int _type = T__19;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:4:7: ( 'AB' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:4:9: 'AB'
            {
            match("AB"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__19"

    // $ANTLR start "T__20"
    public final void mT__20() throws RecognitionException {
        try {
            int _type = T__20;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:5:7: ( 'AP' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:5:9: 'AP'
            {
            match("AP"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__20"

    // $ANTLR start "T__21"
    public final void mT__21() throws RecognitionException {
        try {
            int _type = T__21;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:6:7: ( 'BC' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:6:9: 'BC'
            {
            match("BC"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__21"

    // $ANTLR start "T__22"
    public final void mT__22() throws RecognitionException {
        try {
            int _type = T__22;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:7:7: ( 'BR' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:7:9: 'BR'
            {
            match("BR"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__22"

    // $ANTLR start "T__23"
    public final void mT__23() throws RecognitionException {
        try {
            int _type = T__23;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:8:7: ( 'CA' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:8:9: 'CA'
            {
            match("CA"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__23"

    // $ANTLR start "T__24"
    public final void mT__24() throws RecognitionException {
        try {
            int _type = T__24;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:9:7: ( 'CP' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:9:9: 'CP'
            {
            match("CP"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__24"

    // $ANTLR start "T__25"
    public final void mT__25() throws RecognitionException {
        try {
            int _type = T__25;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:10:7: ( 'EV' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:10:9: 'EV'
            {
            match("EV"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__25"

    // $ANTLR start "T__26"
    public final void mT__26() throws RecognitionException {
        try {
            int _type = T__26;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:11:7: ( 'FF' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:11:9: 'FF'
            {
            match("FF"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__26"

    // $ANTLR start "T__27"
    public final void mT__27() throws RecognitionException {
        try {
            int _type = T__27;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:12:7: ( 'GM' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:12:9: 'GM'
            {
            match("GM"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__27"

    // $ANTLR start "T__28"
    public final void mT__28() throws RecognitionException {
        try {
            int _type = T__28;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:13:7: ( 'KM' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:13:9: 'KM'
            {
            match("KM"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__28"

    // $ANTLR start "T__29"
    public final void mT__29() throws RecognitionException {
        try {
            int _type = T__29;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:14:7: ( 'PB' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:14:9: 'PB'
            {
            match("PB"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__29"

    // $ANTLR start "T__30"
    public final void mT__30() throws RecognitionException {
        try {
            int _type = T__30;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:15:7: ( 'PC' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:15:9: 'PC'
            {
            match("PC"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__30"

    // $ANTLR start "T__31"
    public final void mT__31() throws RecognitionException {
        try {
            int _type = T__31;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:16:7: ( 'PW' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:16:9: 'PW'
            {
            match("PW"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__31"

    // $ANTLR start "T__32"
    public final void mT__32() throws RecognitionException {
        try {
            int _type = T__32;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:17:7: ( 'RE' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:17:9: 'RE'
            {
            match("RE"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__32"

    // $ANTLR start "T__33"
    public final void mT__33() throws RecognitionException {
        try {
            int _type = T__33;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:18:7: ( 'RU' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:18:9: 'RU'
            {
            match("RU"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__33"

    // $ANTLR start "T__34"
    public final void mT__34() throws RecognitionException {
        try {
            int _type = T__34;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:19:7: ( 'SO' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:19:9: 'SO'
            {
            match("SO"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__34"

    // $ANTLR start "T__35"
    public final void mT__35() throws RecognitionException {
        try {
            int _type = T__35;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:20:7: ( 'SZ' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:20:9: 'SZ'
            {
            match("SZ"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__35"

    // $ANTLR start "T__36"
    public final void mT__36() throws RecognitionException {
        try {
            int _type = T__36;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:21:7: ( 'TM' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:21:9: 'TM'
            {
            match("TM"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__36"

    // $ANTLR start "T__37"
    public final void mT__37() throws RecognitionException {
        try {
            int _type = T__37;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:22:7: ( 'US' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:22:9: 'US'
            {
            match("US"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__37"

    // $ANTLR start "T__38"
    public final void mT__38() throws RecognitionException {
        try {
            int _type = T__38;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:23:7: ( 'WC' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:23:9: 'WC'
            {
            match("WC"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__38"

    // $ANTLR start "T__39"
    public final void mT__39() throws RecognitionException {
        try {
            int _type = T__39;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:24:7: ( 'WR' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:24:9: 'WR'
            {
            match("WR"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__39"

    // $ANTLR start "LPAREN"
    public final void mLPAREN() throws RecognitionException {
        try {
            int _type = LPAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:122:9: ( '(' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:122:11: '('
            {
            match('('); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "LPAREN"

    // $ANTLR start "SEMICOLON"
    public final void mSEMICOLON() throws RecognitionException {
        try {
            int _type = SEMICOLON;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:124:11: ( ';' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:124:14: ';'
            {
            match(';'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "SEMICOLON"

    // $ANTLR start "UCLETTER"
    public final void mUCLETTER() throws RecognitionException {
        try {
            int _type = UCLETTER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:126:10: ( 'A' .. 'Z' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            {
            if ( (input.LA(1) >= 'A' && input.LA(1) <= 'Z') ) {
                input.consume();
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;
            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "UCLETTER"

    // $ANTLR start "LCLETTER"
    public final void mLCLETTER() throws RecognitionException {
        try {
            int _type = LCLETTER;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:128:10: ( 'a' .. 'z' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            {
            if ( (input.LA(1) >= 'a' && input.LA(1) <= 'z') ) {
                input.consume();
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;
            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "LCLETTER"

    // $ANTLR start "DIGIT"
    public final void mDIGIT() throws RecognitionException {
        try {
            int _type = DIGIT;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:130:8: ( '0' .. '9' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            {
            if ( (input.LA(1) >= '0' && input.LA(1) <= '9') ) {
                input.consume();
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;
            }


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "DIGIT"

    // $ANTLR start "LBRACKET"
    public final void mLBRACKET() throws RecognitionException {
        try {
            int _type = LBRACKET;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:133:2: ( '[' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:133:4: '['
            {
            match('['); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "LBRACKET"

    // $ANTLR start "RBRACKET"
    public final void mRBRACKET() throws RecognitionException {
        try {
            int _type = RBRACKET;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:136:2: ( ']' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:136:4: ']'
            {
            match(']'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "RBRACKET"

    // $ANTLR start "RPAREN"
    public final void mRPAREN() throws RecognitionException {
        try {
            int _type = RPAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:138:9: ( ')' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:138:11: ')'
            {
            match(')'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "RPAREN"

    // $ANTLR start "COLON"
    public final void mCOLON() throws RecognitionException {
        try {
            int _type = COLON;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:140:8: ( ':' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:140:10: ':'
            {
            match(':'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "COLON"

    // $ANTLR start "MINUS"
    public final void mMINUS() throws RecognitionException {
        try {
            int _type = MINUS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:142:8: ( '-' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:142:10: '-'
            {
            match('-'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "MINUS"

    // $ANTLR start "SPACE"
    public final void mSPACE() throws RecognitionException {
        try {
            int _type = SPACE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:144:8: ( ' ' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:144:10: ' '
            {
            match(' '); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "SPACE"

    // $ANTLR start "PERIOD"
    public final void mPERIOD() throws RecognitionException {
        try {
            int _type = PERIOD;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:146:9: ( '.' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:146:11: '.'
            {
            match('.'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "PERIOD"

    // $ANTLR start "COMMA"
    public final void mCOMMA() throws RecognitionException {
        try {
            int _type = COMMA;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:148:8: ( ',' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:148:10: ','
            {
            match(','); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "COMMA"

    // $ANTLR start "PLUS"
    public final void mPLUS() throws RecognitionException {
        try {
            int _type = PLUS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:150:7: ( '+' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:150:9: '+'
            {
            match('+'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "PLUS"

    // $ANTLR start "SLASH"
    public final void mSLASH() throws RecognitionException {
        try {
            int _type = SLASH;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:152:8: ( '/' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:152:10: '/'
            {
            match('/'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "SLASH"

    public void mTokens() throws RecognitionException {
        // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:8: ( T__19 | T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | T__36 | T__37 | T__38 | T__39 | LPAREN | SEMICOLON | UCLETTER | LCLETTER | DIGIT | LBRACKET | RBRACKET | RPAREN | COLON | MINUS | SPACE | PERIOD | COMMA | PLUS | SLASH )
        int alt1=36;
        switch ( input.LA(1) ) {
        case 'A':
            {
            switch ( input.LA(2) ) {
            case 'B':
                {
                alt1=1;
                }
                break;
            case 'P':
                {
                alt1=2;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case 'B':
            {
            switch ( input.LA(2) ) {
            case 'C':
                {
                alt1=3;
                }
                break;
            case 'R':
                {
                alt1=4;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case 'C':
            {
            switch ( input.LA(2) ) {
            case 'A':
                {
                alt1=5;
                }
                break;
            case 'P':
                {
                alt1=6;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case 'E':
            {
            int LA1_4 = input.LA(2);

            if ( (LA1_4=='V') ) {
                alt1=7;
            }
            else {
                alt1=24;
            }
            }
            break;
        case 'F':
            {
            int LA1_5 = input.LA(2);

            if ( (LA1_5=='F') ) {
                alt1=8;
            }
            else {
                alt1=24;
            }
            }
            break;
        case 'G':
            {
            int LA1_6 = input.LA(2);

            if ( (LA1_6=='M') ) {
                alt1=9;
            }
            else {
                alt1=24;
            }
            }
            break;
        case 'K':
            {
            int LA1_7 = input.LA(2);

            if ( (LA1_7=='M') ) {
                alt1=10;
            }
            else {
                alt1=24;
            }
            }
            break;
        case 'P':
            {
            switch ( input.LA(2) ) {
            case 'B':
                {
                alt1=11;
                }
                break;
            case 'C':
                {
                alt1=12;
                }
                break;
            case 'W':
                {
                alt1=13;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case 'R':
            {
            switch ( input.LA(2) ) {
            case 'E':
                {
                alt1=14;
                }
                break;
            case 'U':
                {
                alt1=15;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case 'S':
            {
            switch ( input.LA(2) ) {
            case 'O':
                {
                alt1=16;
                }
                break;
            case 'Z':
                {
                alt1=17;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case 'T':
            {
            int LA1_11 = input.LA(2);

            if ( (LA1_11=='M') ) {
                alt1=18;
            }
            else {
                alt1=24;
            }
            }
            break;
        case 'U':
            {
            int LA1_12 = input.LA(2);

            if ( (LA1_12=='S') ) {
                alt1=19;
            }
            else {
                alt1=24;
            }
            }
            break;
        case 'W':
            {
            switch ( input.LA(2) ) {
            case 'C':
                {
                alt1=20;
                }
                break;
            case 'R':
                {
                alt1=21;
                }
                break;
            default:
                alt1=24;
            }

            }
            break;
        case '(':
            {
            alt1=22;
            }
            break;
        case ';':
            {
            alt1=23;
            }
            break;
        case 'D':
        case 'H':
        case 'I':
        case 'J':
        case 'L':
        case 'M':
        case 'N':
        case 'O':
        case 'Q':
        case 'V':
        case 'X':
        case 'Y':
        case 'Z':
            {
            alt1=24;
            }
            break;
        case 'a':
        case 'b':
        case 'c':
        case 'd':
        case 'e':
        case 'f':
        case 'g':
        case 'h':
        case 'i':
        case 'j':
        case 'k':
        case 'l':
        case 'm':
        case 'n':
        case 'o':
        case 'p':
        case 'q':
        case 'r':
        case 's':
        case 't':
        case 'u':
        case 'v':
        case 'w':
        case 'x':
        case 'y':
        case 'z':
            {
            alt1=25;
            }
            break;
        case '0':
        case '1':
        case '2':
        case '3':
        case '4':
        case '5':
        case '6':
        case '7':
        case '8':
        case '9':
            {
            alt1=26;
            }
            break;
        case '[':
            {
            alt1=27;
            }
            break;
        case ']':
            {
            alt1=28;
            }
            break;
        case ')':
            {
            alt1=29;
            }
            break;
        case ':':
            {
            alt1=30;
            }
            break;
        case '-':
            {
            alt1=31;
            }
            break;
        case ' ':
            {
            alt1=32;
            }
            break;
        case '.':
            {
            alt1=33;
            }
            break;
        case ',':
            {
            alt1=34;
            }
            break;
        case '+':
            {
            alt1=35;
            }
            break;
        case '/':
            {
            alt1=36;
            }
            break;
        default:
            NoViableAltException nvae =
                new NoViableAltException("", 1, 0, input);

            throw nvae;

        }

        switch (alt1) {
            case 1 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:10: T__19
                {
                mT__19(); 


                }
                break;
            case 2 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:16: T__20
                {
                mT__20(); 


                }
                break;
            case 3 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:22: T__21
                {
                mT__21(); 


                }
                break;
            case 4 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:28: T__22
                {
                mT__22(); 


                }
                break;
            case 5 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:34: T__23
                {
                mT__23(); 


                }
                break;
            case 6 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:40: T__24
                {
                mT__24(); 


                }
                break;
            case 7 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:46: T__25
                {
                mT__25(); 


                }
                break;
            case 8 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:52: T__26
                {
                mT__26(); 


                }
                break;
            case 9 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:58: T__27
                {
                mT__27(); 


                }
                break;
            case 10 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:64: T__28
                {
                mT__28(); 


                }
                break;
            case 11 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:70: T__29
                {
                mT__29(); 


                }
                break;
            case 12 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:76: T__30
                {
                mT__30(); 


                }
                break;
            case 13 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:82: T__31
                {
                mT__31(); 


                }
                break;
            case 14 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:88: T__32
                {
                mT__32(); 


                }
                break;
            case 15 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:94: T__33
                {
                mT__33(); 


                }
                break;
            case 16 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:100: T__34
                {
                mT__34(); 


                }
                break;
            case 17 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:106: T__35
                {
                mT__35(); 


                }
                break;
            case 18 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:112: T__36
                {
                mT__36(); 


                }
                break;
            case 19 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:118: T__37
                {
                mT__37(); 


                }
                break;
            case 20 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:124: T__38
                {
                mT__38(); 


                }
                break;
            case 21 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:130: T__39
                {
                mT__39(); 


                }
                break;
            case 22 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:136: LPAREN
                {
                mLPAREN(); 


                }
                break;
            case 23 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:143: SEMICOLON
                {
                mSEMICOLON(); 


                }
                break;
            case 24 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:153: UCLETTER
                {
                mUCLETTER(); 


                }
                break;
            case 25 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:162: LCLETTER
                {
                mLCLETTER(); 


                }
                break;
            case 26 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:171: DIGIT
                {
                mDIGIT(); 


                }
                break;
            case 27 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:177: LBRACKET
                {
                mLBRACKET(); 


                }
                break;
            case 28 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:186: RBRACKET
                {
                mRBRACKET(); 


                }
                break;
            case 29 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:195: RPAREN
                {
                mRPAREN(); 


                }
                break;
            case 30 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:202: COLON
                {
                mCOLON(); 


                }
                break;
            case 31 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:208: MINUS
                {
                mMINUS(); 


                }
                break;
            case 32 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:214: SPACE
                {
                mSPACE(); 


                }
                break;
            case 33 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:220: PERIOD
                {
                mPERIOD(); 


                }
                break;
            case 34 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:227: COMMA
                {
                mCOMMA(); 


                }
                break;
            case 35 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:233: PLUS
                {
                mPLUS(); 


                }
                break;
            case 36 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:238: SLASH
                {
                mSLASH(); 


                }
                break;

        }

    }


 

}